diff --git a/regtest/scripts/run b/regtest/scripts/run
index 897782e90472b5fba223841b9bea792ed52b519a..4d92f722e2d1854182b5e187aa2becd201f68ac0 100755
--- a/regtest/scripts/run
+++ b/regtest/scripts/run
@@ -62,7 +62,7 @@ cd -
 if ((mpiprocs>0)); then
 mpi="${PLUMED_MPIRUN:-mpirun} -np $mpiprocs"
 
-if ! plumed --has-mpi
+if ! plumed config -q has mpi
 then
   echo "NOT_APPLIABLE (MPI NOT INSTALLED)"
   exit 0;
@@ -83,7 +83,7 @@ fi
 for need in $plumed_needs
 do
   echo "Checking for $need"
-  if ! $plumed --has-$need
+  if ! $plumed config -q has $need
   then
     echo "NOT_APPLIABLE ($need NOT INSTALLED)"
     exit 0;